设计背景:在装配体中关闭工作平面、工作轴和工作点以及草图的对象可见性。
iLogic 代码如下:
Dim doc As AssemblyDocument = ThisDoc.Document
Dim vis = doc.ObjectVisibility
If (vis.AllWorkFeatures) Then
vis.AllWorkFeatures=False
vis.ConstructionSurfaces=False
vis.Sketches=False
vis.Sketches3D=False
vis.SketchDimensions=False
vis.Annotations3D=False
vis.ComponentAnnotations3D=False
vis.Welds=False
vis.WeldmentSymbols=False
Else
vis.AllWorkFeatures=True
vis.ConstructionSurfaces=True
vis.Sketches=True
vis.Sketches3D=True
vis.SketchDimensions=True
vis.Annotations3D=True
vis.ComponentAnnotations3D=True
vis.Welds=True
vis.WeldmentSymbols=True
End If
网友评论